#ifndef _HTTPD_H

#include "common.h"

#include <esp_http_server.h>

extern_c void my_httpd_start(void);
extern_c void my_httpd_stop(void);

extern_c esp_err_t httpd_firmware_upgrade_handler(httpd_req_t *);

typedef int (*read_func_t)(void *pvt, void *buf, size_t buflen);

#endif
